#include "types.h"

#ifndef __PWPLIB_C
  extern
#endif
struct
{
   struct
   {
      char*d;
      int width,height;
   }videobuf;

   void(*dump_ibm)();
   void(*dump_rast)();

   void(*sound)(int ch,int note,int vol);
   void(*loopflush)();
   void(*player)();
   
   int setup[12];
   
   int timer_counter;

   int(*timerfunc)();
}pwplib;

enum
{
  SETUP_NOSOUND=0,
  SETUP_NOVIDEO,
  SETUP_VOLUME,
  SETUP_TRANS,
  SETUP_COLORS,
  SETUP_RASTER,
  SETUP_HALVE,
  SETUP_TTY,
  SETUP_FPS,
  SETUP_BPS,
  SETUP_LOSSY,
  SETUP_PVP
};

#ifndef __PWPLIB_C
  extern
#endif
  void pwp_timer_regframe(int bytes);
