;;; msdos/16bit (8088 optimized), a86 code

_mul32:

        push bp
        mov bp,sp
        push dx
        mov ax,[bp+6]
	mov dx,[bp+8]
        imul dx
        mov ax,dx
        pop dx,bp       ; ax=result/65536
        retf


_memfill:

        push bp
        mov bp,sp
        push ax,es,di,cx
        les di,[bp+6]
        mov ax,[bp+10]
        mov cx,[bp+12]
        shr cx,1
        rep stosw
        pop cx,di,es,ax,bp
        retf

_memcopy:

        push bp
        mov bp,sp
        push ds,si,es,di,cx
        lds si,[bp+6]
        les di,[bp+10]
        mov cx,[bp+14]
        shr cx,1
        rep movsw
        pop cx,di,es,si,ds,bp
        retf


;;;;;;;;;;;;;;;;;;;;;;;; sET ViDEO mODE etc ;;;;;;;;;;;;;;;;;

_setvideo:
push bp
mov bp,sp
push bx
mov ax,[bp+6]
xor bx,bx
int 010
pop bx,bp
retf

_prit:

push bp
mov bp,sp

push ds,ax,dx

lds dx,[bp+6]
mov ax,9*256
int 021

pop dx,ax,ds
pop bp

retf

_detectvideo:  ; int detectvideo();      0/1/2/3 = mda/cga/ega/vga

        push bx,cx,dx,si,di,bp,es,ds

        mov ax,01a00
        int 010
        cmp al,01a
        je >c3          ; vga

        mov ax,01200
        mov bl,010
        int 010
        cmp bl,010
        jne >c2         ; ega

        int 011
        test al,030
        jne >c1         ; cga

        mov ax,0        ; mda
        jmp >o0
     c1:mov ax,1
        jmp>o0
     c2:mov ax,2
        jmp>o0
     c3:mov ax,3
     o0:
        pop ds,es,bp,di,si,dx,cx,bx
        retf

_adlib:         ; int reg, sislt

        push bp
        mov bp,sp
        push ax,cx,dx

        mov ax,[bp+6]
        mov dx,[bp+8]
        mov ah,dl

        mov dx,0388

        out dx,al
           mov cx,6
           t1:in al,dx
           loop t1

        mov al,ah

         inc dx
          out dx,al
         dec dx
           mov cl,35
           t2:in al,dx
           loop t2

        pop dx,cx,ax,bp
        retf


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

            ; spriteille

            ; tee joku keskitys?

_addzbmapL: ; &desti,&sourse, xcount,xadd,ycount,yadd    fixedpointcount
            ; 6      10       14     16   18     20
            ; es:di  ds:bx                cx     si      dx
            ;        ds:si+bx cx     bp                  dx

push bp
mov bp,sp
push ax,bx,cx,dx,si,di,ds,es
les di,[bp+6]   ; destinaati
lds si,[bp+10]  ; bitmap=32x32

mov cx,[bp+18]  ; ycount
mov si,[bp+20]  ; yadd
xor dx,dx
mov bx,dx

l1:
push bx,cx,dx,si,di,bp
mov si,[bp+10]  ; addoffset
add si,bx
mov cx,[bp+14]  ; xcount
mov bp,[bp+16]  ; xadd
xor dx,dx
mov bx,dx
 l0:
   add dx,bp
   mov al,[si+bx]
   mov bl,dh
   es or [di],al
   inc di
 loop l0
pop bp,di,si,dx,cx,bx

add di,80
add dx,si       ; yadd
mov bl,dh
xor bh,bh
add bx,bx;2
add bx,bx;4
add bx,bx;8
add bx,bx;16
add bx,bx;32    ; y*32
loop l1

pop es,ds,di,si,dx,cx,bx,ax,bp
retf

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

            ; spriteille edelleen

_addzbmapR: ; &desti,&sourse, xcount,xadd,ycount,yadd    fixedpointcount
            ; 6      10       14     16   18     20
            ; es:di  ds:bx                cx     si      dx
            ;        ds:si+bx cx     bp                  dx

push bp
mov bp,sp
push ax,bx,cx,dx,si,di,ds,es
les di,[bp+6]   ; destinaati
lds si,[bp+10]  ; bitmap=32x32

mov cx,[bp+18]  ; ycount
mov si,[bp+20]  ; yadd
xor dx,dx
mov bx,dx

l1:
push bx,cx,dx,si,di,bp
mov si,[bp+10]  ; addoffset
add si,bx
mov cx,[bp+14]  ; xcount
mov bp,[bp+16]  ; xadd
xor dx,dx
mov bx,dx
 l0:
   add dx,bp
   mov al,[si+bx]
   mov bl,dh
   es or [di],al
   dec di
 loop l0
pop bp,di,si,dx,cx,bx

add di,80
add dx,si       ; yadd
mov bl,dh
xor bh,bh
add bx,bx;2
add bx,bx;4
add bx,bx;8
add bx,bx;16
add bx,bx;32    ; y*32
loop l1

pop es,ds,di,si,dx,cx,bx,ax,bp
retf

             ; rep movsw -klutke

_fillbuf:    ; &buffer,fillword,length
push bp
mov bp,sp
push es,di,ax,cx
les di,[bp+6]
mov ax,[bp+10]

mov cx,[bp+12]
shr cx,1        ; 80x50x1/2

rep stosw
pop cx,ax,di,es,bp
retf


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_fadebuf:    ; &buffer,&fadetab,length
push bp
mov bp,sp
push ds,es,si,di,ax,cx
les di,[bp+6]   ; fadetabin ja buffin oltava samassa segmiss
lds si,[bp+6]
lds bx,[bp+10]
mov cx,[bp+14]
shr cx,1
shr cx,1

l0:
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
loop l0
pop cx,ax,di,si,es,ds,bp
retf

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;                    ;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;   videodriverzz    ;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;                    ;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;; vga 80x50 ;;;;;;;;;;;;;;;;;;;;;;;;;

_attrdump:      ; src,dest,howmany

        push bp
        mov bp,sp
        push ax,ds,si,es,di,cx
        lds si,[bp+6]
        les di,[bp+10]
        mov cx,[bp+14]

        shr cx,1
        shr cx,1
        shr cx,1

l0:     movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        movsb
        inc di
        loop l0

        pop cx,di,es,si,ds,ax,bp
        retf

_attr2dump:  ; src0,src1,dest,howmany,andto0

        push bp
        mov bp,sp
        push ax,dx,ds,si,es,di,cx
        lds si,[bp+6]
        lds bx,[bp+10]
        sub bx,si
        sub bx,2
        les di,[bp+14]
	mov cx,[bp+18]
	mov dx,[bp+20]

        shr cx,1
        shr cx,1
        shr cx,1

l0:     lodsw
        and ax,dx
        or ax,[si+bx]
        stosb
        inc di
        mov al,ah
        stosb
        inc di

        lodsw
        and ax,dx
        or ax,[si+bx]
        stosb
        inc di
        mov al,ah
        stosb
        inc di

        lodsw
        and ax,dx
        or ax,[si+bx]
        stosb
        inc di
        mov al,ah
        stosb
        inc di

        lodsw
        and ax,dx
        or ax,[si+bx]
        stosb
        inc di
        mov al,ah
        stosb
        inc di
        loop l0

        pop cx,di,es,si,ds,dx,ax,bp
        retf

_dumpbuf:       ; &sbuf,&dbuf,length
push bp
mov bp,sp
push es,di,ds,si,cx
lds si,[bp+6]
les di,[bp+10]
inc di
mov cx,[bp+14]

shr cx,1        ; unrolled 8 timez
shr cx,1
shr cx,1

l0:
movsb
inc di
movsb
inc di
movsb
inc di
movsb
inc di
movsb
inc di
movsb
inc di
movsb
inc di
movsb
inc di
loop l0

pop cx,si,ds,di,es,bp
retf

;;;;;;;;;;;;;;;;;;;;;;;; 80x25 part 1;;;;;;;;;;;;;;;;;;;;;;;;

_dump216: ;;;;; src0,src1,dest,and0,hibitand
push bp
mov bp,sp
push ds,es,si,di,bx,cx,ax,dx
lds si,[bp+6]
lds bx,[bp+10]
les di,[bp+14]
inc di
mov dx,[bp+18]
mov bp,[bp+20]  ; f0f0 tai 7070

mov cx,25

l1:
push cx
mov cx,80/4

l0:

lodsb
mov ah,[si+79]
and ax,dx
or al,[bx]
or ah,[bx+80]
inc bx
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
or al,[bx]
or ah,[bx+80]
inc bx
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
or al,[bx]
or ah,[bx+80]
inc bx
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
or al,[bx]
or ah,[bx+80]
inc bx
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

loop l0

add bx,80
add si,80
pop cx
loop l1

pop dx,ax,cx,bx,di,si,es,ds,bp
retf

_dump16: ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

push bp
mov bp,sp
push ds,es,si,di,bx,cx,ax,dx
lds si,[bp+6]
les di,[bp+10]
inc di
mov bp,[bp+14]  ; andaus (f0f0 tai 7070)

mov dx,25

l1:
mov cx,80/4

l0:

lodsb
mov ah,[si+79]
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

lodsb
mov ah,[si+79]
and ax,bp
shr al,1
shr al,1
shr al,1
shr al,1
or al,ah
stosb
inc di

loop l0

add bx,80
add si,80
dec dx
jne l1

pop dx,ax,cx,bx,di,si,es,ds,bp
retf



;;;;;;;;;;;;;;;;;;;;; 80x25 ansi+bmap ;;;;;;;;;;;;;;;;;;

_dumphybrid:    ; ansisrc, bmapsrc, dest

        push bp
        mov bp,sp

        push ax,bx,cx,dx,si,di,ds,es

        lds bx,[bp+10]  ; bmapsrc       videobuf
        lds si,[bp+6]   ; ansisrc       vidbuf2

        ;mov ax,[bp+8]   ; segment fix
        ;sub ax,[bp+12]
        ;shl ax,1
        ;shl ax,1
        ;shl ax,1
        ;shl ax,1
        ;add si,ax       ; tai si,ax ??

        les di,[bp+14]

        mov dx,253*256+25
        mov bp,07070

l0:     mov cx,40

p0:     lodsw
        cmp al,dh       ; sALaMeRKKi
        je >c1
c0:     stosw
        inc bx

        lodsw
        cmp al,dh
        je >d1
d0:     stosw
        inc bx

        loop p0

        add bx,80
        dec dl
        jne l0

        jmp >o0

        ; ; ;

p1:     lodsw
        cmp al,dh
        jne c0

c1:     mov al,ah

        or al,[bx]
        or ah,[bx+80]
        and ax,bp
        shr ah,1
        shr ah,1
        shr ah,1
        shr ah,1
        or ah,al
        mov al,220      ; tai jotakin tuommosta
        stosw
        inc bx

        lodsw
        cmp al,dh
        jne d0

d1:     mov al,ah

        or al,[bx]
        or ah,[bx+80]
        and ax,bp
        shr ah,1
        shr ah,1
        shr ah,1
        shr ah,1
        or ah,al
        mov al,220      ; tai jotakin tuommosta
        stosw
        inc bx

        loop p1

        add bx,80
        dec dl
        jne l0

        ; ; ;

o0:     pop es,ds,di,si,dx,cx,bx,ax,bp
        retf


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_rotobars_do:   ; LOKA SIN COS XLAT OUTPUT        ; isist

        push bp
        mov bp,sp
        push ax,bx,cx,dx,si,di,ds,es

        mov dx,[bp+6]   ; LOKA
        mov si,[bp+8]   ; SIN
        lds bx,[bp+12]  ; XLAT
        les di,[bp+16]  ; VIDEO
        mov bp,[bp+10]  ; COS

        mov ah,50

l1:     push dx

        mov cx,10       ; xloop         unrolled 8 timez

l0:     add dx,bp       ; bp=COS
        mov al,dh       ; dx=p0s
        xlat            ; bx = xlattable
        stosb           ; es:di

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        add dx,bp
        mov al,dh
        xlat
        stosb

        loop l0

        pop dx
        add dx,si

        dec ah
        jne l1

        pop es,ds,di,si,dx,cx,bx,ax,bp
        retf

_zbufdump:

        push bp
        mov bp,sp
        push ax,bx,cx,si,di,ds,es
        lds si,[bp+6]   ; src
        les di,[bp+10]  ; dest
        mov cx,[bp+14]  ; count

        shr cx,1
        shr cx,1
        shr cx,1

l0:     lodsw           ; kOMpRoMiSSiLoOPpi
        stosb           ; xlats suxxxx
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        lodsw
        stosb
        inc di
        loop l0

        pop es,ds,di,si,cx,bx,ax,bp
        retf

_add2zbuf:

      ; ds=es

      push bp
      mov bp,sp
      push es,ds,di,si,dx,cx,bx,ax

      les di,[bp+6]     ; zbuffer
      lds si,[bp+10]    ; newobject
      mov bx,[bp+18]    ; zoff;col_off

      MOV CX,[bp+16]    ; ysize
      mov bp,[bp+14]    ; xsize

l1:   PUSH CX
      MOV CX,BP
      shr cx,1

l0:   lodsw
      add ax,bx
      mov dx,[es:di]

      cmp dx,ax ; : -> stosw(newdata) / add di,2(leave old)
      jnc >b0     ; se nkyy jolla on suurin z
a0:   stosw

      lodsw
      add ax,bx
      mov dx,[es:di]

      cmp dx,ax
      jnc >b1
a1:   stosw

      loop l0
      jmp >o9

l0:   lodsw
      add ax,bx
      mov dx,[es:di]

      cmp dx,ax
      jc a0
b0:   add di,2

      lodsw
      add ax,bx
      mov dx,[es:di]

      cmp dx,ax
      jc a1
b1:   add di,2

      loop l0
o9:   POP CX
      add di,160
      sub di,bp
      sub di,bp
      LOOP L1

      pop ax,bx,cx,dx,si,di,ds,es
      pop bp

      retf

_addtext:

      push bp
      mov bp,sp
      push ax,bx,cx,dx,ds,si,es,di

      les di,[bp+6]     ; dest
      lds bx,[bp+10]    ; text
      mov dx,[bp+18]    ; kOLORi

l1:   mov al,[bx]
      inc bx
      mov ah,0
      and al,31
      je >o1

      dec ax

      cmp al,26         ; { = sAnAvLi
      jne >c0
        add di,4
        jmp l1
      c0:

      shl ax,1    ; 16bYTEZ per joojotin
      shl ax,1
      shl ax,1
      shl ax,1

      mov si,ax
      add si,[bp+14]    ; fontab

l0:   lodsb       ; voi olla 0kin
      cbw
      add di,ax

      lodsb       ; 0=eNDy
      cbw
      mov cx,ax
      jcxz >o0
      mov ax,dx
      rep stosb   ; tai stosw

      jmp l0

o0:   sub di,4*80
      jmp l1

o1:   pop di,es,si,ds,dx,cx,bx,ax,bp
      retf

_addtext16:

      push bp
      mov bp,sp
      push ax,bx,cx,dx,ds,si,es,di

      les di,[bp+6]     ; dest
      lds bx,[bp+10]    ; text
      mov dx,[bp+18]    ; kOLORi

l1:   mov al,[bx]
      inc bx
      mov ah,0
      and al,31
      je >o1

      dec ax

      cmp al,26         ; { = sAnAvLi
      jne >c0
        add di,8        ; tuossakin
        jmp l1
      c0:

      shl ax,1    ; 16bYTEZ per joojotin
      shl ax,1
      shl ax,1
      shl ax,1

      mov si,ax
      add si,[bp+14]    ; fontab

l0:   lodsb
      cbw
      add di,ax
      add di,ax   ; tUOZZA

      lodsb       ; 0=eNDy
      cbw
      mov cx,ax
      jcxz >o0
      mov ax,dx
      rep stosw   ; <-- ja tUOZZA

      jmp l0

o0:   sub di,4*160      ; <-- ja viel tUoZzA
      jmp l1

o1:   pop di,es,si,ds,dx,cx,bx,ax,bp
      retf

_retracecheck:

      push ax,dx
l0:   mov dx,03da
      in al,dx
      test al,8
      jne l0
l0:   in al,dx
      test al,8
      je l0
      pop dx,ax
      retf

_drawsym:       ; char*d, int*symt; char*bm; int off; int lgt
                ; 6       10        14       18       20
push bp
mov bp,sp
push ax,bx,cx,dx,si,di,es,ds

les di,[bp+6]
lds si,[bp+10]
mov dx,[bp+18]
mov cx,[bp+20]
lds bp,[bp+14]
shr cx,1
shr cx,1
cs mov w[>t0+2],bp
cs mov w[>t1+2],bp
cs mov w[>t2+2],bp
cs mov w[>t3+2],bp
mov bp,1023
jmp >l0

l0:
        lodsw
        add ax,dx
        and ax,bp
        mov bx,ax
        t0:mov al,[bx+666]
        stosb

        lodsw
        add ax,dx
        and ax,bp
        mov bx,ax
        t1:mov al,[bx+666]
        stosb

        lodsw
        add ax,dx
        and ax,bp
        mov bx,ax
        t2:mov al,[bx+666]
        stosb

        lodsw
        add ax,dx
        and ax,bp
        mov bx,ax
        t3:mov al,[bx+666]
        stosb

loop l0

pop ds,es,di,si,dx,cx,bx,ax,bp
retf

;;;;;;;;;;;;;;;;;;;;;;;;

_symxlat:    ; srcbuf, destvbuf, paletti, length
push bp
mov bp,sp
push ds,es,si,di,ax,cx
lds si,[bp+6]   ; fadetabin ja buffin oltava samassa segmiss
les di,[bp+10]
lds bx,[bp+14]
mov cx,[bp+18]
shr cx,1
shr cx,1

l0:
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
lodsb
xlat
stosb
loop l0
pop cx,ax,di,si,es,ds,bp
retf

_xorrase:
push bp
mov bp,sp
push ax,bx,cx,dx,si,di,ds,es
lds si,[bp+6]
lds bx,[bp+10]
sub bx,si
les di,[bp+14]
mov dx,[bp+20]

        mov cx,50
l1:     push cx
        mov cx,10

l0:     lodsw
	xor ax,[si+bx]
        or ax,dx
        stosw
        lodsw
	xor ax,[si+bx]
	or ax,dx
        stosw
        lodsw
	xor ax,[si+bx]
        or ax,dx
        stosw
        lodsw
	xor ax,[si+bx]
        or ax,dx
        stosw
        loop l0

        add si,120-80
        pop cx
        loop l1

pop es,ds,di,si,dx,cx,bx,ax,bp
retf


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_skr_dorow:      ; char*outbuf,char*inbuf,int delta,int initoffset

push bp
mov bp,sp
push ds,si,es,di,bx,cx,dx

les di,[bp+6]
lds si,[bp+10]
mov dx,[bp+14]
mov bx,[bp+16]
mov ch,bl
mov bl,bh
mov bh,0

        mov cl,20
l0:     mov al,[bx+si]

        add ch,dl
        adc bl,dh

        mov ah,[bx+si]
        stosw

        add ch,dl
        adc bl,dh

        mov al,[bx+si]

        add ch,dl
        adc bl,dh

        mov ah,[bx+si]
        stosw

        add ch,dl
        adc bl,dh

        dec cl
        jne l0

pop dx,cx,bx,di,es,si,ds,bp
retf

_polytxloop:   ; h,di,x1,tpv,du,dx0,dx1,txr,dv

        cld
        push bp
        mov bp,sp
        push es,ds,di,si,dx,cx,bx

        push [bp+6]     ;h
        les di,[bp+8]   ;x+80*y
        mov cx,[bp+12]  ;x1
        xor si,si

        mov ax,[bp+14]  ;dx0
        mov bh,al       ;dx0lo
        mov bl,0
        mov al,ah
	cbw
	add ax,80
        cs mov [>s2-2],ax ; dx0hi

        mov ax,[bp+16]  ;dx1
        cs mov [>s1-2],ax

        lds ax,[bp+18]  ;txr
        cs mov [>s3-2],ax

        mov ax,[bp+22]  ;dv
        mov [>s0-2],ax

        mov ax,[bp+24]  ;du
        mov dh,al
        mov al,ah
        cbw
        mov bp,ax
        dec bp

        ; dx = h
        ; di = x+80*y
	; cx = x1
	; si = tpv
	; bh = dx0lo
        ; [DX0hi] = dx0hi
        ; [DX1] = dx1
	; [TXR] = txr
	; [DV] = dv

        ; dh = du.lo
        ; bp = du.hi  dec bp!

        pop ax          ; h..
l1:     push ax

	push cx

	mov cl,ch        ; xx1=x1>>8;
        test cl,cl
        js >o0
	mov ch,0
	jcxz >o0         ; if(!xx1)break;

	push si
	shr si,1         ; tp=(tpv<<4)&0xf000;
	shr si,1
	shr si,1
	shr si,1
	and si,0f0
        add si,666
s3:

        push di

        shr cx,1
        jnc >q0

        movsb
        add dl,dh
        adc si,bp

q0:     shr cx,1
        jnc >q1

        movsb
        add dl,dh
        adc si,bp

        movsb
        add dl,dh
        adc si,bp

q1:     jcxz >q2

l0:     movsb            ; for(;xx1;xx1--){*z++=txr[tp>>8];tp+=du;}
	add dl,dh
	adc si,bp

        movsb
        add dl,dh
        adc si,bp

        movsb
        add dl,dh
        adc si,bp

        movsb
        add dl,dh
        adc si,bp

	loop l0

q2:     pop di
        pop si
o0:     pop cx

;	add di,80        ; y++; x0+=dx0 (sislt +80)
        add bl,bh        ; dx0lo
        adc di,666       ; dx0hi
s2:
        add si,666       ; tpv+=dv
s0:     add cx,666       ; x1+=dx1
s1:
        pop ax           ; h--
        dec ax
	jne l1           ; while()

        mov ax,cx

        pop bx,cx,dx,si,di,ds,es,bp
        retf


_picmov:                 ; (*src, *dest, xsize, xclip, yclip, method)

        push bp
        mov bp,sp
        push ax,bx,cx,dx,si,di,ds,es

        lds si,[bp+6]
        les di,[bp+10]

        mov ax,[bp+20]
        cmp ax,1
        je picor        ; method=1: or
        cmp ax,2
        je picput       ; method=2: put

        mov ax,[bp+14]  ; xsize
        cs mov [>t0+2],ax

        mov ax,[bp+16]  ; xclip
        shr ax,1
        ;cs mov [>t1+1],ax
        test ax,ax
        jz >o0

        mov dx,[bp+18]  ; yclip
        test dx,dx
        jz >o0

        mov bx,si
        mov bp,di

        jmp >l0
l0:
	;t1:mov cx,666
	mov cx,ax
        rep movsw

        add bp,80        ; screen xSiZE
        t0:add bx,666    ; tabled xSiZE

        mov si,bx
        mov di,bp

        dec dx
        jne l0

        jmp >o0

;o0:     pop es,ds,di,si,dx,cx,bx,ax,bp
;
;        retf


picor:

        mov ax,[bp+14]  ; xsize
        cs mov [>t0+2],ax

        mov ax,[bp+16]  ; xclip
        shr ax,1
        ;cs mov [>t1+1],ax
        test ax,ax
        jz >o0

        mov dx,[bp+18]  ; yclip
        test dx,dx
        jz >o0

        mov bx,si
        mov bp,di

        jmp >l0
l0:
        ;t1:mov cx,666
        mov cx,ax

	push ax
l1:     lodsw
	es or [di],ax
	inc di
	inc di
	loop l1
	pop ax

        add bp,80        ; screen xSiZE
        t0:add bx,666    ; tabled xSiZE

        mov si,bx
        mov di,bp

        dec dx
        jne l0

o0:     pop es,ds,di,si,dx,cx,bx,ax,bp

        retf

;;;;;;;;;;;;;;;;;;;;;;;;;;

picput:

        mov ax,[bp+14]  ; xsize
        cs mov [>t0+2],ax

        mov ax,[bp+16]  ; xclip
        shr ax,1
        ;cs mov [>t1+1],ax
        test ax,ax
        jz >o0

        mov dx,[bp+18]  ; yclip
        test dx,dx
        jz >o0

        mov bx,si
        mov bp,di

        jmp >l0
l0:
        ;t1:mov cx,666
        mov cx,ax

	push ax
l1:
        lodsb
        test al,al
        je >w1
w0:     stosb

        lodsb
        test al,al
        je >v1
v0:     stosb


        loop l1
o1:     pop ax

        add bp,80        ; screen xSiZE
        t0:add bx,666    ; tabled xSiZE

        mov si,bx
        mov di,bp

        dec dx
        jne l0

o0:     pop es,ds,di,si,dx,cx,bx,ax,bp

        retf

k1:     lodsb
        test al,al
        jne w0
w1:     inc di

        lodsb
        test al,al
        jne v0
v1:     inc di

        loop k1
        jmp o1

